#include <bits/stdc++.h>
#define int unsigned long long
using namespace std;

inline int read(void)
{int _;cin>>_;return _;}

const int mod=1e9+7;
const int N=3e3+5;
const int inf=0x3f3f3f3f;

int n,m,c[N][N],a[N],b[N];

namespace sub1
{	
	inline void solve(void)
	{
		n=read();
		for(int i=1;i<=n;i++)
			a[i]=read();
		for(int i=1;i<=n;i++)
			b[i]=read();
		m=read();
		for(int i=1;i<=n;i++)
		{
			int m1=0,m2=0;
			for(int j=i;j<=n;j++)
			{
				m1=max(m1,a[j]);
				m2=max(m2,b[j]);
				c[i][j]=m1*m2;
				c[i][j]+=c[i][j-1];
			}
		}
		for(int i=1;i<=m;i++)
		{
			int l=read(),r=read(),ans=0;
			for(int j=l;j<=r;j++)
				ans+=c[j][r];
			cout<<ans<<endl;
		}
	}
}

signed main()
{
	ios::sync_with_stdio(false);
	cin.tie(0),cout.tie(0);
	
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	
	read();sub1::solve();
	
	return 0;
}

/*

*/